Subject: [Roll] Comments on draft-ietf-roll-dao-projection-09

From: "Liubing (Remy)" <[email-masked]>
Date: Mon, 23 Dec 2019 09:22:48 +0000

Hello DAO-projection authors,

I've read the latest version of the draft. Great efforts! Please find my comments below for your consideration.

1. Why do you choose to extend RPL instead of designing a new separate protocol to realize the establishment of a path? Technically, extending RPL works for sure. But if you look outside the IOT domain, the PCE have a separate protocol, i.e. PCEP, to establish the paths on the devices. 

2. The titles of the subsections in section 6 are misleading. When I looked at the title "Non-storing/Storing mode projected route", I misunderstood them into "Route projection in non-storing/storing mode". Actually, until I reached at the appendix, I realized that they means the projected route itself is source-routed or hop-by-hop (no matter strict or loose).  Do you think it is necessary to add some clarification or to change the titles?

3. The following specification is not accurate in some cases: " In the uncompressed form the source of the packet would be self, the destination would be the first Via Address in the SRVIO, and the SRH would contain the list of the remaining Via Addresses and then the Target".
It is true if RPL is running in storing mode, otherwise, another encapsulation takes place to indicate the explicit route to the via address, just like you have said in the preceding paragraph. And the said explicit route should be projected as well. Please consider combining the two paragraphs to make it correct. 

4. You've mentioned that the root can be the egress of a path. Does it mean that the upward route needs to be projected in some cases, given the fact that most of the examples given in the draft are downward or transversal routes? Could you give an example on that situation? 

Best regards,
Remy